List Orders
curl --request GET \
--url https://quickei.io/pay/sandbox/api/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://quickei.io/pay/sandbox/api/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quickei.io/pay/sandbox/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
POS API
List Orders
Retrieve recent POS orders
GET
/
orders
List Orders
Retrieve a list of recent POS orders for your merchant account.
Success Response
Endpoint
GET https://quickei.io/pay/sandbox/api/v1/orders
Query Parameters
string
Filter by status:
PENDING, PAID, EXPIRED, CANCELLED, REFUNDED, REFUND_PENDINGstring
Filter by terminal identifier
Note: Returns the last 50 orders, sorted by most recent first.
Example Request
GET /merchant-api/pos/v1/orders?status=PAID&terminal_id=terminal-01
Authorization: Basic {base64_credentials}
Success Response 200
{
"message": {
"success": ["POS orders retrieved"]
},
"data": {
"orders": [
{
"order_id": "POS-20240115-A1B2C3",
"amount": "25.00 EUR",
"raw_amount": 25.00,
"currency": "EUR",
"payment_method": "both",
"reference": "INV-2024-001",
"status": "PAID",
"terminal_id": "terminal-01",
"paid_at": "2024-01-15T14:02:30+00:00",
"created_at": "2024-01-15T14:00:00+00:00"
}
]
}
}

